<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/archive_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>09/22/86  archive_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>The archive_ subroutine is used to access individual components in
<span id="L4" class="LineNr">  4 </span>archives, list the components of an archive, and obtain information
<span id="L5" class="LineNr">  5 </span>about archive components.
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>
<span id="L8" class="LineNr">  8 </span>Entry points in archive_:
<span id="L9" class="LineNr">  9 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>
<span id="L12" class="LineNr"> 12 </span>:Entry: get_component:  03/18/81  archive_$get_component
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>Function:  This entry, given a pointer to an archive and its bitcount,
<span id="L16" class="LineNr"> 16 </span>and the name of the desired component in the archive, returns a pointer
<span id="L17" class="LineNr"> 17 </span>to the component and the bitcount of the component.
<span id="L18" class="LineNr"> 18 </span>
<span id="L19" class="LineNr"> 19 </span>
<span id="L20" class="LineNr"> 20 </span>Syntax:
<span id="L21" class="LineNr"> 21 </span>dcl archive_$get_component entry <span class="textRainbow_lv0_p0">(</span>pointer<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>24<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L22" class="LineNr"> 22 </span>      pointer<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>24<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr"> 23 </span>call archive_$get_component <span class="textRainbow_lv0_p0">(</span>archive_ptr<span class="textRainbow_lv0_o0">,</span> archive_bc<span class="textRainbow_lv0_o0">,</span> component_name<span class="textRainbow_lv0_o0">,</span>
<span id="L24" class="LineNr"> 24 </span>      component_ptr<span class="textRainbow_lv0_o0">,</span> component_bc<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L25" class="LineNr"> 25 </span>
<span id="L26" class="LineNr"> 26 </span>
<span id="L27" class="LineNr"> 27 </span>Arguments:
<span id="L28" class="LineNr"> 28 </span>archive_ptr
<span id="L29" class="LineNr"> 29 </span>   is a pointer to the base of the archive segment to be searched.  It
<span id="L30" class="LineNr"> 30 </span>   need not point to the base of a segment; it is converted to a
<span id="L31" class="LineNr"> 31 </span>   segment base pointer by archive_, so a pointer to anywhere in the
<span id="L32" class="LineNr"> 32 </span>   segment may be given here.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L33" class="LineNr"> 33 </span>archive_bc
<span id="L34" class="LineNr"> 34 </span>   is the bitcount of the archive segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L35" class="LineNr"> 35 </span>component_name
<span id="L36" class="LineNr"> 36 </span>   is the name of the component to be searched for.  It may be up to
<span id="L37" class="LineNr"> 37 </span>   32 characters long.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L38" class="LineNr"> 38 </span>component_ptr
<span id="L39" class="LineNr"> 39 </span>   is a pointer to the first word of the archive component if the
<span id="L40" class="LineNr"> 40 </span>   specified component was found, or null otherwise.  It is a pointer
<span id="L41" class="LineNr"> 41 </span>   into the segment pointed to by archive_ptr.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L42" class="LineNr"> 42 </span>
<span id="L43" class="LineNr"> 43 </span>
<span id="L44" class="LineNr"> 44 </span>component_bc
<span id="L45" class="LineNr"> 45 </span>   is the bitcount of the archive component pointed to by
<span id="L46" class="LineNr"> 46 </span>   component_ptr.  It describes a region of the archive segment which
<span id="L47" class="LineNr"> 47 </span>   contains the specified component; if an attempt is made to reference
<span id="L48" class="LineNr"> 48 </span>   past the end of this area, invalid data may be referenced.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L49" class="LineNr"> 49 </span>code
<span id="L50" class="LineNr"> 50 </span>   is a standard system status code, one of the following:  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L51" class="LineNr"> 51 </span>      error_table_$no_component
<span id="L52" class="LineNr"> 52 </span>      error_table_$not_archive
<span id="L53" class="LineNr"> 53 </span>      error_table_$archive_fmt_err
<span id="L54" class="LineNr"> 54 </span>
<span id="L55" class="LineNr"> 55 </span>
<span id="L56" class="LineNr"> 56 </span>:Entry: get_component_info:  03/18/81  archive_$get_component_info
<span id="L57" class="LineNr"> 57 </span>
<span id="L58" class="LineNr"> 58 </span>
<span id="L59" class="LineNr"> 59 </span>Function:  This entry, given a pointer to an archive and its bitcount,
<span id="L60" class="LineNr"> 60 </span>and the name of the desired component in the archive, fills in a
<span id="L61" class="LineNr"> 61 </span>caller-supplied structure with information describing the archive
<span id="L62" class="LineNr"> 62 </span>component.  Also see archive_$get_component and
<span id="L63" class="LineNr"> 63 </span>archive_$next_component_info.
<span id="L64" class="LineNr"> 64 </span>
<span id="L65" class="LineNr"> 65 </span>
<span id="L66" class="LineNr"> 66 </span>Syntax:
<span id="L67" class="LineNr"> 67 </span>dcl archive_$get_component_info entry <span class="textRainbow_lv0_p0">(</span>pointer<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>24<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char
<span id="L68" class="LineNr"> 68 </span>      <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> pointer<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L69" class="LineNr"> 69 </span>call archive_$get_component_info <span class="textRainbow_lv0_p0">(</span>archive_ptr<span class="textRainbow_lv0_o0">,</span> archive_bc<span class="textRainbow_lv0_o0">,</span>
<span id="L70" class="LineNr"> 70 </span>      component_name<span class="textRainbow_lv0_o0">,</span> archive_component_info_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L71" class="LineNr"> 71 </span>
<span id="L72" class="LineNr"> 72 </span>
<span id="L73" class="LineNr"> 73 </span>Arguments:
<span id="L74" class="LineNr"> 74 </span>archive_ptr
<span id="L75" class="LineNr"> 75 </span>   is a pointer to the base of the archive segment to be searched.  It
<span id="L76" class="LineNr"> 76 </span>   need not point to the base of a segment; it is converted to a
<span id="L77" class="LineNr"> 77 </span>   segment base pointer by archive_, so a pointer to anywhere in the
<span id="L78" class="LineNr"> 78 </span>   segment may be given here.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L79" class="LineNr"> 79 </span>archive_bc
<span id="L80" class="LineNr"> 80 </span>   is the bitcount of the archive segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L81" class="LineNr"> 81 </span>component_name
<span id="L82" class="LineNr"> 82 </span>   is the name of the component to be searched for.  It may be up to
<span id="L83" class="LineNr"> 83 </span>   32 characters long.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L84" class="LineNr"> 84 </span>
<span id="L85" class="LineNr"> 85 </span>
<span id="L86" class="LineNr"> 86 </span>archive_component_info_ptr
<span id="L87" class="LineNr"> 87 </span>   is a pointer to a user-supplied archive_component_info structure,
<span id="L88" class="LineNr"> 88 </span>   described below.  The caller must have previously set
<span id="L89" class="LineNr"> 89 </span>   archive_component_info.version to the appropriate version number,
<span id="L90" class="LineNr"> 90 </span>   currently ARCHIVE_COMPONENT_INFO_VERSION_1.  The structure is filled
<span id="L91" class="LineNr"> 91 </span>   in with information describing the selected archive component if it
<span id="L92" class="LineNr"> 92 </span>   can be found.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L93" class="LineNr"> 93 </span>code
<span id="L94" class="LineNr"> 94 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>  It may be one of the
<span id="L95" class="LineNr"> 95 </span>   following:
<span id="L96" class="LineNr"> 96 </span>      error_table_$no_component
<span id="L97" class="LineNr"> 97 </span>      error_table_$not_archive
<span id="L98" class="LineNr"> 98 </span>      error_table_$archive_fmt_err
<span id="L99" class="LineNr"> 99 </span>      error_table_$unimplemented_version
<span id="L100" class="LineNr">100 </span>
<span id="L101" class="LineNr">101 </span>
<span id="L102" class="LineNr">102 </span>Structure:
<span id="L103" class="LineNr">103 </span>The archive_component_info_ptr points to the following structure
<span id="L104" class="LineNr">104 </span><span class="textRainbow_lv0_p0">(</span>described in the archive_component_info.incl.pl1 include file<span class="textRainbow_lv0_p0">)</span>:
<span id="L105" class="LineNr">105 </span>
<span id="L106" class="LineNr">106 </span>      dcl 1 archive_component_info aligned based
<span id="L107" class="LineNr">107 </span>            <span class="textRainbow_lv0_p0">(</span>archive_component_info_ptr<span class="textRainbow_lv0_p0">)</span>,
<span id="L108" class="LineNr">108 </span>            2 version fixed bin,
<span id="L109" class="LineNr">109 </span>            2 comp_bc fixed bin <span class="textRainbow_lv0_p0">(</span>24<span class="textRainbow_lv0_p0">)</span>,
<span id="L110" class="LineNr">110 </span>            2 comp_ptr ptr,
<span id="L111" class="LineNr">111 </span>            2 name char <span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L112" class="LineNr">112 </span>            2 time_modified fixed bin <span class="textRainbow_lv0_p0">(</span>71<span class="textRainbow_lv0_p0">)</span>,
<span id="L113" class="LineNr">113 </span>            2 time_updated fixed bin <span class="textRainbow_lv0_p0">(</span>71<span class="textRainbow_lv0_p0">)</span>,
<span id="L114" class="LineNr">114 </span>            2 comp_lth fixed bin <span class="textRainbow_lv0_p0">(</span>19<span class="textRainbow_lv0_p0">)</span>,
<span id="L115" class="LineNr">115 </span>            2 access bit <span class="textRainbow_lv0_p0">(</span>36<span class="textRainbow_lv0_p0">)</span> unaligned;
<span id="L116" class="LineNr">116 </span>
<span id="L117" class="LineNr">117 </span>
<span id="L118" class="LineNr">118 </span>List of structure elements:
<span id="L119" class="LineNr">119 </span>version
<span id="L120" class="LineNr">120 </span>   must be set to ARCHIVE_COMPONENT_INFO_VERSION_1 by the
<span id="L121" class="LineNr">121 </span>   caller.  All other structure elements are output.
<span id="L122" class="LineNr">122 </span>comp_bc
<span id="L123" class="LineNr">123 </span>   is the bit_count of the archive component.
<span id="L124" class="LineNr">124 </span>comp_ptr
<span id="L125" class="LineNr">125 </span>   is a pointer to the base of the component.
<span id="L126" class="LineNr">126 </span>name
<span id="L127" class="LineNr">127 </span>   is the name of the component.
<span id="L128" class="LineNr">128 </span>
<span id="L129" class="LineNr">129 </span>
<span id="L130" class="LineNr">130 </span>time_modified
<span id="L131" class="LineNr">131 </span>   is a clock reading corresponding to the date/time contents
<span id="L132" class="LineNr">132 </span>   modified of the segment from which this component was most
<span id="L133" class="LineNr">133 </span>   recently updated.  This is the value reported in the
<span id="L134" class="LineNr">134 </span>   &quot;modified&quot; column by the &quot;ac tl&quot; command.  It may be
<span id="L135" class="LineNr">135 </span>   inaccurate by several hours if the archive was updated in a
<span id="L136" class="LineNr">136 </span>   different time zone from the current time zone.
<span id="L137" class="LineNr">137 </span>time_updated
<span id="L138" class="LineNr">138 </span>   is a clock reading corresponding to the date/time when this
<span id="L139" class="LineNr">139 </span>   component was last updated in the archive.  This is the
<span id="L140" class="LineNr">140 </span>   value reported in the &quot;updated&quot; column by the &quot;ac tl&quot;
<span id="L141" class="LineNr">141 </span>   command.  It may be inaccurate by several hours if the
<span id="L142" class="LineNr">142 </span>   archive was updated in a different time zone from the
<span id="L143" class="LineNr">143 </span>   current time zone.
<span id="L144" class="LineNr">144 </span>
<span id="L145" class="LineNr">145 </span>
<span id="L146" class="LineNr">146 </span>comp_lth
<span id="L147" class="LineNr">147 </span>   is the size, in words, of the component.  Both the size in
<span id="L148" class="LineNr">148 </span>   words and the bit_count are provided as a convenience to
<span id="L149" class="LineNr">149 </span>   the caller.  The size in words is derived from the
<span id="L150" class="LineNr">150 </span>   bit_count.
<span id="L151" class="LineNr">151 </span>access
<span id="L152" class="LineNr">152 </span>   is the representation of the effective access mode recorded
<span id="L153" class="LineNr">153 </span>   with the archive component.  The first bit is &quot;r&quot; access,
<span id="L154" class="LineNr">154 </span>   the second is &quot;e&quot;, and the third is &quot;w&quot;.  Even if &quot;a&quot;
<span id="L155" class="LineNr">155 </span>   access appears in the archive itself, it will be ignored.
<span id="L156" class="LineNr">156 </span>
<span id="L157" class="LineNr">157 </span>
<span id="L158" class="LineNr">158 </span>:Entry: next_component:  03/18/81  archive_$next_component
<span id="L159" class="LineNr">159 </span>
<span id="L160" class="LineNr">160 </span>
<span id="L161" class="LineNr">161 </span>Function:  This entry, given a pointer to an archive and its bitcount,
<span id="L162" class="LineNr">162 </span>and a pointer to the base of a component <span class="textRainbow_lv0_p0">(</span>or null<span class="textRainbow_lv0_p0">)</span>, returns a pointer
<span id="L163" class="LineNr">163 </span>to the next component in the archive, its name, and its bitcount.  If
<span id="L164" class="LineNr">164 </span>there are no components remaining in the archive, the pointer is
<span id="L165" class="LineNr">165 </span>returned null on output.  The first time this is called for a
<span id="L166" class="LineNr">166 </span>particular archive, the component pointer should be supplied as null.
<span id="L167" class="LineNr">167 </span>
<span id="L168" class="LineNr">168 </span>
<span id="L169" class="LineNr">169 </span>Syntax:
<span id="L170" class="LineNr">170 </span>dcl archive_$next_component entry <span class="textRainbow_lv0_p0">(</span>pointer<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>24<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> pointer<span class="textRainbow_lv0_o0">,</span>
<span id="L171" class="LineNr">171 </span>      fixed bin <span class="textRainbow_lv1_p0">(</span>24<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L172" class="LineNr">172 </span>call archive_$next_component <span class="textRainbow_lv0_p0">(</span>archive_ptr<span class="textRainbow_lv0_o0">,</span> archive_bc<span class="textRainbow_lv0_o0">,</span> component_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L173" class="LineNr">173 </span>      component_bc<span class="textRainbow_lv0_o0">,</span> component_name<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L174" class="LineNr">174 </span>
<span id="L175" class="LineNr">175 </span>
<span id="L176" class="LineNr">176 </span>Arguments:
<span id="L177" class="LineNr">177 </span>archive_ptr
<span id="L178" class="LineNr">178 </span>   is a pointer to the base of the archive segment to be searched.  It
<span id="L179" class="LineNr">179 </span>   need not point to the base of a segment; it is converted to a
<span id="L180" class="LineNr">180 </span>   segment base pointer by archive_, so a pointer to anywhere in the
<span id="L181" class="LineNr">181 </span>   segment may be given here.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L182" class="LineNr">182 </span>archive_bc
<span id="L183" class="LineNr">183 </span>   is the bitcount of the archive segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L184" class="LineNr">184 </span>component_ptr
<span id="L185" class="LineNr">185 </span>   on input, this is a pointer to the previous component in the
<span id="L186" class="LineNr">186 </span>   archive, or null to indicate that the next component should be the
<span id="L187" class="LineNr">187 </span>   first component in the archive.  On output, this is a pointer to the
<span id="L188" class="LineNr">188 </span>   next component in the archive, or null if there are no components
<span id="L189" class="LineNr">189 </span>   remaining after the one it pointed to on input.  <span class="textRainbow_lv0_p0">(</span>Input/Output<span class="textRainbow_lv0_p0">)</span>
<span id="L190" class="LineNr">190 </span>
<span id="L191" class="LineNr">191 </span>
<span id="L192" class="LineNr">192 </span>component_bc
<span id="L193" class="LineNr">193 </span>   is the bitcount of the selected component.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L194" class="LineNr">194 </span>component_name
<span id="L195" class="LineNr">195 </span>   is the name of the selected component.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L196" class="LineNr">196 </span>code
<span id="L197" class="LineNr">197 </span>   is a standard system status code, one of the following;   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L198" class="LineNr">198 </span>            error_table_$not_archive
<span id="L199" class="LineNr">199 </span>            error_table_$archive_fmt_err
<span id="L200" class="LineNr">200 </span>
<span id="L201" class="LineNr">201 </span>
<span id="L202" class="LineNr">202 </span>:Entry: next_component_info:  03/18/81  archive_$next_component_info
<span id="L203" class="LineNr">203 </span>
<span id="L204" class="LineNr">204 </span>
<span id="L205" class="LineNr">205 </span>Function:  This entry, given a pointer to an archive, the bitcount of
<span id="L206" class="LineNr">206 </span>the archive, and a pointer to the base of a component <span class="textRainbow_lv0_p0">(</span>or null<span class="textRainbow_lv0_p0">)</span>,
<span id="L207" class="LineNr">207 </span>returns a pointer to the next component in the archive and fills in a
<span id="L208" class="LineNr">208 </span>archive_component_info structure to describe it.  If there are no
<span id="L209" class="LineNr">209 </span>components remaining in the archive, the pointer is returned null on
<span id="L210" class="LineNr">210 </span>output.  The first time this is called for a particular archive, the
<span id="L211" class="LineNr">211 </span>component pointer should be supplied as null.  See also
<span id="L212" class="LineNr">212 </span>archive_$get_component_info and archive_$next_component.
<span id="L213" class="LineNr">213 </span>
<span id="L214" class="LineNr">214 </span>
<span id="L215" class="LineNr">215 </span>Syntax:
<span id="L216" class="LineNr">216 </span>dcl archive_$next_component_info entry <span class="textRainbow_lv0_p0">(</span>pointer<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>24<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L217" class="LineNr">217 </span>      pointer<span class="textRainbow_lv0_o0">,</span> pointer<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L218" class="LineNr">218 </span>call archive_$next_component_info <span class="textRainbow_lv0_p0">(</span>archive_ptr<span class="textRainbow_lv0_o0">,</span> archive_bc<span class="textRainbow_lv0_o0">,</span>
<span id="L219" class="LineNr">219 </span>      component_ptr<span class="textRainbow_lv0_o0">,</span> archive_component_info_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L220" class="LineNr">220 </span>
<span id="L221" class="LineNr">221 </span>
<span id="L222" class="LineNr">222 </span>Arguments:
<span id="L223" class="LineNr">223 </span>archive_ptr
<span id="L224" class="LineNr">224 </span>   is a pointer to the base of the archive segment to be searched.  It
<span id="L225" class="LineNr">225 </span>   need not point to the base of a segment; it is converted to a
<span id="L226" class="LineNr">226 </span>   segment base pointer by archive_, so a pointer to anywhere in the
<span id="L227" class="LineNr">227 </span>   segment may be given here.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L228" class="LineNr">228 </span>archive_bc
<span id="L229" class="LineNr">229 </span>   is the bitcount of the archive segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L230" class="LineNr">230 </span>component_name
<span id="L231" class="LineNr">231 </span>   is the name of the component to be searched for.  It may be up to
<span id="L232" class="LineNr">232 </span>   32 characters long.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L233" class="LineNr">233 </span>
<span id="L234" class="LineNr">234 </span>
<span id="L235" class="LineNr">235 </span>archive_component_info_ptr
<span id="L236" class="LineNr">236 </span>   is a pointer to a user-supplied archive_component_info structure,
<span id="L237" class="LineNr">237 </span>   described in the description of the archive_$get_component_info
<span id="L238" class="LineNr">238 </span>   entrypoint.  The caller must have previously set
<span id="L239" class="LineNr">239 </span>   archive_component_info.version to the appropriate version number,
<span id="L240" class="LineNr">240 </span>   currently ARCHIVE_COMPONENT_INFO_VERSION_1.  The structure is filled
<span id="L241" class="LineNr">241 </span>   in with information describing the selected archive component if
<span id="L242" class="LineNr">242 </span>   component_ptr is returned non-null.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L243" class="LineNr">243 </span>code
<span id="L244" class="LineNr">244 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It may be one of the
<span id="L245" class="LineNr">245 </span>   following:
<span id="L246" class="LineNr">246 </span>            error_table_$not_archive
<span id="L247" class="LineNr">247 </span>            error_table_$archive_fmt_err
<span id="L248" class="LineNr">248 </span>            error_table_$unimplemented_version
<span id="L249" class="LineNr">249 </span>
<span id="L250" class="LineNr">250 </span>
<span id="L251" class="LineNr">251 </span>:Entry: list_components:  03/18/81  archive_$list_components
<span id="L252" class="LineNr">252 </span>
<span id="L253" class="LineNr">253 </span>
<span id="L254" class="LineNr">254 </span>Function:  This entry, given a pointer to an archive and its bitcount,
<span id="L255" class="LineNr">255 </span>and a pointer to an area, allocates an array of archive_component_info
<span id="L256" class="LineNr">256 </span>structures in the area to describe all the components in the archive,
<span id="L257" class="LineNr">257 </span>and returns a pointer to and the size of this array.
<span id="L258" class="LineNr">258 </span>
<span id="L259" class="LineNr">259 </span>
<span id="L260" class="LineNr">260 </span>Syntax:
<span id="L261" class="LineNr">261 </span>dcl archive_$list_components entry <span class="textRainbow_lv0_p0">(</span>pointer<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>24<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span>
<span id="L262" class="LineNr">262 </span>      pointer<span class="textRainbow_lv0_o0">,</span> pointer<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L263" class="LineNr">263 </span>call archive_$list_components <span class="textRainbow_lv0_p0">(</span>archive_ptr<span class="textRainbow_lv0_o0">,</span> archive_bc<span class="textRainbow_lv0_o0">,</span> info_version<span class="textRainbow_lv0_o0">,</span>
<span id="L264" class="LineNr">264 </span>      area_ptr<span class="textRainbow_lv0_o0">,</span> archive_component_info_array_ptr<span class="textRainbow_lv0_o0">,</span> n_components<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L265" class="LineNr">265 </span>
<span id="L266" class="LineNr">266 </span>
<span id="L267" class="LineNr">267 </span>Arguments:
<span id="L268" class="LineNr">268 </span>archive_ptr
<span id="L269" class="LineNr">269 </span>   is a pointer to the base of the archive segment to be searched.  It
<span id="L270" class="LineNr">270 </span>   need not point to the base of a segment; it is converted to a
<span id="L271" class="LineNr">271 </span>   segment base pointer by archive_, so a pointer to anywhere in the
<span id="L272" class="LineNr">272 </span>   segment may be given here.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L273" class="LineNr">273 </span>archive_bc
<span id="L274" class="LineNr">274 </span>   is the bitcount of the archive segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L275" class="LineNr">275 </span>info_version
<span id="L276" class="LineNr">276 </span>   is the version number for the archive_component_info structure array
<span id="L277" class="LineNr">277 </span>   which will be allocated and returned.  The only supported version is
<span id="L278" class="LineNr">278 </span>   ARCHIVE_COMPONENT_INFO_VERSION_1.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L279" class="LineNr">279 </span>
<span id="L280" class="LineNr">280 </span>
<span id="L281" class="LineNr">281 </span>area_ptr
<span id="L282" class="LineNr">282 </span>   is a pointer to a caller-supplied area in which the returned array
<span id="L283" class="LineNr">283 </span>   of archive_component_infos will be allocated.  If area_ptr is null,
<span id="L284" class="LineNr">284 </span>   no list will be allocated, but n_components will still be set; this
<span id="L285" class="LineNr">285 </span>   can be used when it is desired to merely count the components in the
<span id="L286" class="LineNr">286 </span>   archive.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L287" class="LineNr">287 </span>archive_component_info_array_ptr
<span id="L288" class="LineNr">288 </span>   is a pointer returned which points to an array of
<span id="L289" class="LineNr">289 </span>   archive_component_info structures describing all the components in
<span id="L290" class="LineNr">290 </span>   the archive.  It should be declared as follows:  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L291" class="LineNr">291 </span>
<span id="L292" class="LineNr">292 </span>      dcl 1 archive_component_info_array <span class="textRainbow_lv0_p0">(</span>n_components<span class="textRainbow_lv0_p0">)</span> aligned
<span id="L293" class="LineNr">293 </span>            like archive_component_info based
<span id="L294" class="LineNr">294 </span>            <span class="textRainbow_lv0_p0">(</span>archive_component_info_array_ptr<span class="textRainbow_lv0_p0">)</span>;
<span id="L295" class="LineNr">295 </span>
<span id="L296" class="LineNr">296 </span>
<span id="L297" class="LineNr">297 </span>n_components
<span id="L298" class="LineNr">298 </span>   is the number of components in the archive.  This may be zero if the
<span id="L299" class="LineNr">299 </span>   archive is empty, and is still valid.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L300" class="LineNr">300 </span>code
<span id="L301" class="LineNr">301 </span>   is a standard system status code, one of the following;   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L302" class="LineNr">302 </span>            error_table_$not_archive
<span id="L303" class="LineNr">303 </span>            error_table_$archive_fmt_err
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
